- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::detail::UniqueAnyReference Class Reference

`#include <anyreference.hpp>`

## Public Member Functions
| UniqueAnyReference ()=default
| UniqueAnyReference (AnyReference ref)
| UniqueAnyReference (AnyReference ref, DeferOwnership)
| UniqueAnyReference (UniqueAnyReference &&o)
UniqueAnyReference & | operator= (UniqueAnyReference &&o)
| ~UniqueAnyReference ()
AnyReference & | operator* ()
const AnyReference & | operator* () const
AnyReference * | operator-> ()
const AnyReference * | operator-> () const
AnyReference | release ()
void | reset (AnyReference newRef={})
void | reset (AnyReference newRef, DeferOwnership)
bool | ownsReference () const
void | takeOwnership ()

## Detailed Description

Definition at line 444 of file anyreference.hpp.

## Constructor & Destructor Documentation

qi::detail::UniqueAnyReference::UniqueAnyReference | ( |  | ) |
| default

qi::detail::UniqueAnyReference::UniqueAnyReference | ( | AnyReference | ref | ) |
| inline explicit

Definition at line 451 of file anyreference.hpp.

qi::detail::UniqueAnyReference::UniqueAnyReference | ( | AnyReference | ref,
|  | DeferOwnership |
| ) |  |
| inline explicit

Definition at line 456 of file anyreference.hpp.

qi::detail::UniqueAnyReference::UniqueAnyReference | ( | UniqueAnyReference && | o | ) |
| inline

Definition at line 461 of file anyreference.hpp.

qi::detail::UniqueAnyReference::~UniqueAnyReference | ( |  | ) |
| inline

Definition at line 474 of file anyreference.hpp.

## Member Function Documentation

AnyReference& qi::detail::UniqueAnyReference::operator* | ( |  | ) |
| inline

Definition at line 479 of file anyreference.hpp.

const AnyReference& qi::detail::UniqueAnyReference::operator* | ( |  | ) | const
| inline

Definition at line 484 of file anyreference.hpp.

AnyReference* qi::detail::UniqueAnyReference::operator-> | ( |  | ) |
| inline

Definition at line 489 of file anyreference.hpp.

const AnyReference* qi::detail::UniqueAnyReference::operator-> | ( |  | ) | const
| inline

Definition at line 494 of file anyreference.hpp.

UniqueAnyReference& qi::detail::UniqueAnyReference::operator= | ( | UniqueAnyReference && | o | ) |
| inline

Definition at line 467 of file anyreference.hpp.

bool qi::detail::UniqueAnyReference::ownsReference | ( |  | ) | const
| inline

Definition at line 519 of file anyreference.hpp.

AnyReference qi::detail::UniqueAnyReference::release | ( |  | ) |
| inline

Definition at line 499 of file anyreference.hpp.

void qi::detail::UniqueAnyReference::reset | ( | AnyReference | newRef = `{}` | ) |
| inline

Definition at line 505 of file anyreference.hpp.

void qi::detail::UniqueAnyReference::reset | ( | AnyReference | newRef,
|  | DeferOwnership |
| ) |  |
| inline

Definition at line 512 of file anyreference.hpp.

void qi::detail::UniqueAnyReference::takeOwnership | ( |  | ) |
| inline

Definition at line 524 of file anyreference.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/anyreference.hpp